Bug 833003 - [abrt] remmina-1.0.0-4.fc17: BitBlt_SRCINVERT_32bpp: Process /usr/bin/remmina was killed by signal 11 (SIGSEGV)
[abrt] remmina-1.0.0-4.fc17: BitBlt_SRCINVERT_32bpp: Process /usr/bin/remmina...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
abrt_hash:838d8f964d18dd0cc850f2721ac...
:
: 836584 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 07:27 EDT by joan
Modified: 2013-07-31 18:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:37:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (64.30 KB, text/plain)
2012-06-18 07:27 EDT, joan
no flags Details
File: maps (34.90 KB, text/plain)
2012-06-18 07:27 EDT, joan
no flags Details
File: dso_list (10.07 KB, text/plain)
2012-06-18 07:28 EDT, joan
no flags Details
File: build_ids (4.08 KB, text/plain)
2012-06-18 07:28 EDT, joan
no flags Details

  None (edit)
Description joan 2012-06-18 07:27:51 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        remmina
comment:        Changing task from Remmina to Terminal
crash_function: BitBlt_SRCINVERT_32bpp
executable:     /usr/bin/remmina
kernel:         3.4.0-1.fc17.i686
pid:            20723
pwd:            /home/joan
time:           dl 18 jun 2012 13:16:27 CEST
uid:            1000
username:       joan

backtrace:      Text file, 65842 bytes
build_ids:      Text file, 4182 bytes
dso_list:       Text file, 10314 bytes
maps:           Text file, 35736 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/joan/102

core_backtrace:
:a4048371c6060d15a2ed88cc2c321a364a0f5902 0xc660 BitBlt_32bpp libfreerdp-gdi.so.1.0 -
:a4048371c6060d15a2ed88cc2c321a364a0f5902 0xd93b gdi_BitBlt libfreerdp-gdi.so.1.0 -
:a4048371c6060d15a2ed88cc2c321a364a0f5902 0xf985 gdi_memblt libfreerdp-gdi.so.1.0 -
:1c3e0ccecf50c0079c6888ec8e7116f786cb95a8 0x22f6 update_gdi_memblt libfreerdp-cache.so.1.0 -
:e23790485ecf609eee2fa171f3d41622f8681710 0x26589 update_recv_primary_order libfreerdp-core.so.1.0 -
:e23790485ecf609eee2fa171f3d41622f8681710 0x26fae update_recv_order libfreerdp-core.so.1.0 -
:e23790485ecf609eee2fa171f3d41622f8681710 0x314ac fastpath_recv_updates libfreerdp-core.so.1.0 -
:e23790485ecf609eee2fa171f3d41622f8681710 0x2eae6 - libfreerdp-core.so.1.0 -
:e23790485ecf609eee2fa171f3d41622f8681710 0x2ed8b - libfreerdp-core.so.1.0 -
:e23790485ecf609eee2fa171f3d41622f8681710 0x32a8b transport_check_fds libfreerdp-core.so.1.0 -
:e23790485ecf609eee2fa171f3d41622f8681710 0x2efaf rdp_check_fds libfreerdp-core.so.1.0 -
:e23790485ecf609eee2fa171f3d41622f8681710 0x27314 freerdp_check_fds libfreerdp-core.so.1.0 -
:32b9bf4d0114223b69994bb00b8ca4964bf9aabf 0x5b12 - remmina-plugin-rdp.so -
:32b9bf4d0114223b69994bb00b8ca4964bf9aabf 0x6359 - remmina-plugin-rdp.so -
:abcfe6b280fcee6f1f127d40d8f54e6b4d896f5a 0x6adf start_thread libpthread.so.0 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0xf155e clone libc.so.6 -

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=102
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/joan/keyring-KGs4wi
:IMSETTINGS_MODULE=none
:USER=joan
:USERNAME=joan
:MAIL=/var/spool/mail/joan
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/joan/.local/bin:/home/joan/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/joan
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=19612
:LANG=ca_ES.utf8
:GDM_LANG=ca_ES.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/joan
:SHLVL=1
:LOGNAME=joan
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-vn2y6vko0k,guid=884090ca747e198ae4afcfd5000539e5
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/joan
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-joan-YLztNY/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/19616,unix/unix:/tmp/.ICE-unix/19616
:SSH_AUTH_SOCK=/run/user/joan/keyring-KGs4wi/ssh
:GPG_AGENT_INFO=/run/user/joan/keyring-KGs4wi/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/remmina.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=20723

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15925                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15925                15925                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:1:/home/joan/.xsession-errors
:2:/home/joan/.xsession-errors
:3:socket:[309346]
:4:anon_inode:[eventfd]
:5:socket:[309351]
:6:socket:[309353]
:7:anon_inode:[eventfd]
:8:pipe:[308489]
:9:anon_inode:[eventfd]
:10:pipe:[308489]
:11:pipe:[308490]
:12:pipe:[308490]
:13:pipe:[309376]
:14:pipe:[309376]
:15:socket:[308502]
:16:/home/joan/.freerdp/known_hosts
:17:pipe:[308582]
:18:pipe:[308582]
:19:pipe:[308583]
:20:pipe:[308583]

var_log_messages:
:Jun 18 02:26:25 localhost yum[20291]: Installed: remmina-1.0.0-4.fc17.i686
:Jun 18 02:27:39 localhost yum[20331]: Installed: remmina-plugins-common-1.0.0-4.fc17.i686
:Jun 18 02:27:42 localhost yum[20331]: Installed: remmina-devel-1.0.0-4.fc17.i686
:Jun 18 02:27:44 localhost yum[20331]: Installed: remmina-plugins-rdp-1.0.0-4.fc17.i686
:Jun 18 02:27:45 localhost yum[20331]: Installed: remmina-plugins-nx-1.0.0-4.fc17.i686
:Jun 18 02:27:45 localhost yum[20331]: Installed: remmina-plugins-vnc-1.0.0-4.fc17.i686
:Jun 18 02:27:45 localhost yum[20331]: Installed: remmina-plugins-gnome-1.0.0-4.fc17.i686
:Jun 18 02:27:46 localhost yum[20331]: Installed: remmina-plugins-telepathy-1.0.0-4.fc17.i686
:Jun 18 02:27:46 localhost yum[20331]: Installed: remmina-plugins-xdmcp-1.0.0-4.fc17.i686
:Jun 18 04:03:22 localhost kernel: [349817.384603] remmina[20401]: segfault at 0 ip 006d89a0 sp b1ff9c10 error 4 in libfreerdp-gdi.so.1.0.1[6cc000+15000]
:Jun 18 04:03:25 localhost abrt[20682]: Saved core dump of pid 20379 (/usr/bin/remmina) to /var/spool/abrt/ccpp-2012-06-18-12:03:22-20379 (144240640 bytes)
:Jun 18 05:16:27 localhost kernel: [354202.208835] remmina[20728]: segfault at 0 ip 00283660 sp b69fec10 error 4 in libfreerdp-gdi.so.1.0.1[277000+15000]
:Jun 18 05:16:29 localhost abrt[21094]: Saved core dump of pid 20723 (/usr/bin/remmina) to /var/spool/abrt/ccpp-2012-06-18-13:16:27-20723 (119750656 bytes)
Comment 1 joan 2012-06-18 07:27:55 EDT
Created attachment 592602 [details]
File: backtrace
Comment 2 joan 2012-06-18 07:27:58 EDT
Created attachment 592603 [details]
File: maps
Comment 3 joan 2012-06-18 07:28:01 EDT
Created attachment 592604 [details]
File: dso_list
Comment 4 joan 2012-06-18 07:28:03 EDT
Created attachment 592605 [details]
File: build_ids
Comment 5 Christoph Wickert 2012-09-20 16:44:46 EDT
*** Bug 836584 has been marked as a duplicate of this bug. ***
Comment 6 Fedora End Of Life 2013-07-03 17:30:03 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 18:37:29 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.